PHP Manual
Prev |  | Next

# HttpMessage::__construct

(no version information, might be only in CVS)

HttpMessage::__construct -- HttpMessage constructor

## Description

publicvoid HttpMessage::__construct ( [string message] )

Instantiate a new HttpMessage object.

The constructed object will actually represent the last message of the passed string. If there were prior messages, those can be accessed by HttpMessage::getParentMessage().

## Parameters

message

  a single or several consecutive HTTP messages

## Errors/Exceptions

Throws HttpMalformedHeaderException.

Prev | Home | Next
HttpMessage | Up | HttpMessage::fromString